> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emite.do/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook



## OpenAPI

````yaml /openapi/public-v1.json patch /api/v1/client/webhooks/{public_id}
openapi: 3.1.0
info:
  title: emite.do API
  description: >-
    API pública para emitir, consultar y operar e-CF ante la DGII. Autenticación
    por header X-API-Key. El POST /api/v1/ecf no promete el estado fiscal final:
    consulta o webhook.
  version: 1.0.0
servers:
  - url: https://api.emite.do
    description: Producción
security:
  - ApiKeyAuth: []
paths:
  /api/v1/client/webhooks/{public_id}:
    patch:
      tags:
        - client
      summary: Update Webhook
      operationId: update_webhook_api_v1_client_webhooks__public_id__patch
      parameters:
        - name: public_id
          in: path
          required: true
          schema:
            type: string
            title: Public Id
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientWebhookUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientWebhookResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ClientWebhookUpdateRequest:
      properties:
        url:
          anyOf:
            - type: string
              minLength: 1
              format: uri
            - type: 'null'
          title: Url
        events:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Events
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
      type: object
      title: ClientWebhookUpdateRequest
    ClientWebhookResponse:
      properties:
        public_id:
          type: string
          title: Public Id
        url:
          type: string
          title: Url
        events:
          items:
            type: string
          type: array
          title: Events
        is_active:
          type: boolean
          title: Is Active
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - public_id
        - url
        - events
        - is_active
        - created_at
      title: ClientWebhookResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key de la empresa. Se muestra una sola vez al crearla.

````